Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
LogConfig..::.ZeroOnCreate Field
LogConfig Class See Also Send Feedback

If true, zero all pages of a log file when that log file is created.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool ZeroOnCreate

Visual Basic (Declaration)
    Public ZeroOnCreate As Boolean

Visual C++
    public:
    bool ZeroOnCreate

# Remarks

This has shown to provide greater transaction throughput in some environments. The log file is zeroed by the thread which needs to re-create the new log file. Other threads may not write to the log file while this is happening.

# See Also

LogConfig Class
BerkeleyDB Namespace